﻿using System;
using System.Windows;
using Microsoft.Phone.Controls;

namespace GaugeLag
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            this.InitializeComponent();
            this.ValoriCasuali();
        }

        private void Randomizza__Click(object sender, RoutedEventArgs e)
        {
            this.ValoriCasuali();
        }

        private async void ValoriCasuali()
        {
            Random generaSequenza = new Random();
            int bianco, verde, blu;
            bianco = generaSequenza.Next(0, 100);
            verde = generaSequenza.Next(0, 100);
            blu = generaSequenza.Next(0, 100);
            this.Freccia.Value = (float)((bianco + verde + blu) * 100) / 300;
            this.Barra_bianca.Value = bianco;
            await System.Threading.Tasks.Task.Delay(200);
            this.Barra_blu.Value = blu;
            await System.Threading.Tasks.Task.Delay(200);
            this.Barra_verde.Value = verde;
            await System.Threading.Tasks.Task.Delay(200);
            this.Percentuale.Text = string.Format("Totale >>> {0} %", this.Freccia.Value.ToString("####0.00"));
        }
    }
}